%global namedreltag .Final-redhat-1
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 2.2.0.Final-redhat-1

Name: jbosgi-metadata
Version: 2.2.0
Release: 1.Final_redhat_1%{?dist}
Summary: JBossOSGi Resolver Metadata
Group: Development/Libraries/Java

%if %with mead
Source100: org.jboss.osgi.metadata-jbosgi-metadata-2.2.0.Final-redhat-1-sources.zip
Source101: org.jboss.osgi.metadata-jbosgi-metadata-2.2.0.Final-redhat-1-patches.zip
Source102: jbosgi-metadata-2.2.0.Final-redhat-1-javadoc.jar
Source103: jbosgi-metadata-2.2.0.Final-redhat-1.jar
Source104: jbosgi-metadata-2.2.0.Final-redhat-1-sources.jar
Source105: jbosgi-metadata-2.2.0.Final-redhat-1.pom
%endif

License: LGPL
URL: http://github.com/jbosgi/jbosgi-metadata
Epoch: 0

%if %without mead
# git clone git://git.app.eng.bos.redhat.com/jbosgi/jbosgi-metadata.git
# cd jbosgi-metadata && git checkout 2.0.3.Final-redhat-2
# HEAD is now at 86682d5...
# tar cjf jbosgi-metadata-2.0.3.Final-src.tar.bz2 jbosgi-metadata
Source0: 	%{name}-%{version}-src.tar.bz2
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot
%if %without mead
BuildRequires:  jpackage-utils
%endif

Requires:       jboss-logging
Requires:       org.osgi.core

%description
The JBoss OSGI Metadata

%package javadoc
Summary:  Javadoc for %{name}
Group:    Development/Documentation

Requires: jpackage-utils

%description javadoc
API documentation for %{name}.

%prep

%build

%install
# On RHEL-6 the signed JARs are on a different place
export JPP_SIGNED=2

# JARS
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.*ar`; do 
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{namedversion}*; do ln -sf ${jar} ${jar/-%{namedversion}/}; done)

# POMS
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.pom`; do 
    artifact_name=`echo $i|sed -s "s/-%{namedversion}.pom//"`
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.org.jboss.osgi.metadata-%{name}.pom
    %add_to_maven_depmap org.jboss.osgi.metadata %{name} %{namedversion} JPP %{name}
done
popd

# JAVADOC
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__unzip} -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{namedversion} %{name})


%clean
rm -Rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/
%{_javadir}*/*ar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Sun Feb 17 2013 Lin Gao <lgao@redhat.com> - 0:2.2.0-1.Final_redhat_1
- Upgrade to 2.2.0.Final
- Add javadoc package

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-2.Final_redhat_3.3
- Rebuild for MD5

* Thu Sep 13 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:2.1.0-1.Final_redhat_3.3
- Fix dependency management to eap 6.0.1 boms

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:2.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:2.1.0-1.Final_redhat_1
- Upgrade to 2.1.0.Final

* Fri Mar 02 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.3-1_redhat_1.1
- Upgrade to 2.0.3.Final-redhat-1

* Thu Mar 01 2012 Martha Benitez <mbenitez@redhat.com> - 0:2.0.2-1_redhat_1.1
- First build
